> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dismiss



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/items/{projectItemId}/sync-updates/dismiss
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{projectItemId}/sync-updates/dismiss:
    post:
      tags:
        - Dismiss Sync Update
      summary: Dismiss
      operationId: DismissSyncUpdateController_dismiss_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: projectItemId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DismissSyncUpdateDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DismissSyncUpdateResponseDto'
components:
  schemas:
    DismissSyncUpdateDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        source:
          type: string
          enum:
            - project
            - catalog
        projectEventIds:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
            pattern: ^[1-9]\d*$
        catalogEventIds:
          minItems: 1
          type: array
          items:
            type: string
            pattern: ^[1-9]\d*$
      required:
        - version
        - source
      additionalProperties: false
    DismissSyncUpdateResponseDto:
      type: object
      properties:
        dismissed:
          type: number
      required:
        - dismissed

````